<div class="login-container" fxLayout="column" fxLayoutAlign="center center">
  <div class="box border-box padding-box" fxLayout="column" fxLayoutAlign="space-around center">

    <img class="logo" alt="logo" src="../../../../assets/images/logo_ce.svg">

    <span style="font-size: 24px;">Change Password</span>

    <form [formGroup]="passwordForm">
      <mat-form-field class="d-block" appearance="outline">
        <mat-label>Username</mat-label>
        <input matInput type="text" formControlName="username">
      </mat-form-field>
      <mat-form-field class="d-block" appearance="outline" *ngIf="hasHash">
        <mat-label>Old Password</mat-label>
        <input autofocus matInput type="text" class="mask-pass" formControlName="oldPassword">
      </mat-form-field>
      <mat-form-field class="d-block" appearance="outline">
        <mat-label>New Password</mat-label>
        <input matInput type="text" class="mask-pass" formControlName="newPassword">
      </mat-form-field>
      <mat-form-field class="d-block" appearance="outline">
        <mat-label>Confirm Password</mat-label>
        <input matInput type="text" class="mask-pass" formControlName="confirmPassword">
<!--        <input (keyup.enter)="submit()" matInput type="password" formControlName="confirmPassword">-->
<!--        PER ORA DISABILITO IL KEY UP PERCHE' L'EVENTO IN QUALCHE MODO VIENE LANCIATO DUE VOLTE -->
        <mat-error *ngIf="passwordForm.get('confirmPassword').errors">Passwords don't match</mat-error>
      </mat-form-field>

      <div class="mt-5" fxLayout="row" fxLayoutAlign="space-between center">
        <a class="link" style="font-size: 14px;" [routerLink]="returnUrl" *ngIf="!force"><span class="font-weight-bold">Back</span></a>
        <button mat-flat-button color="warn" type="submit" (click)="submit()" [disabled]="passwordForm.invalid"><span class="font-weight-bold">Submit</span></button>
      </div>
    </form>
  </div>
</div>
